### Name: lm.dibp
### Title: General Diagonal Inflated Bivariate Poisson Model
### Aliases: lm.dibp
### Keywords: models regression

### ** Examples

#
# formula for lambda1 and lamba2
form1 <- y1y2~noncommon + z1:noncommon + z3 + I(l2*z5)
# formula for lambda3 
form2 <- y3~z1+z2+z3+z4
#
# Model  1: BivPois
ex2.m1 <-lm.bp  ( 'x', 'y', form1, form2, data=ex2.sim)
# Model  2: Zero Inflated BivPois 
ex2.m2 <-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='discrete', jmax=0 )
# Model  3: Diagonal Inflated BivPois with DISCRETE(1) diagonal inflation distribution
ex2.m3 <-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='discrete', jmax=1 )
# Model  4: Diagonal Inflated BivPois with DISCRETE(2) diagonal inflation distribution
ex2.m4 <-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='discrete', jmax=2 )
# Model  5: Diagonal Inflated BivPois with DISCRETE(3) diagonal inflation distribution
ex2.m5 <-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='discrete', jmax=3 )
# Model  6: Diagonal Inflated BivPois with DISCRETE(4) diagonal inflation distribution
ex2.m6 <-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='discrete', jmax=4 )
# Model  7: Diagonal Inflated BivPois with DISCRETE(5) diagonal inflation distribution
ex2.m7 <-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='discrete', jmax=5 )
# Model  8: Diagonal Inflated BivPois with DISCRETE(6) diagonal inflation distribution
ex2.m8 <-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='discrete', jmax=6 )
# Model  9: Diagonal Inflated BivPois with POISSON diagonal inflation distribution
ex2.m9 <-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='poisson' )
# Model 10: Diagonal Inflated BivPois with GEOMETRIC diagonal inflation distribution
ex2.m10<-lm.dibp( 'x', 'y', form1, form2, data=ex2.sim, distribution='geometric' )
#
# printing parameters of model 7
ex2.m7$beta1
ex2.m7$beta2
ex2.m7$beta3
ex2.m7$p
ex2.m7$theta
#
# printing parameters of model 9
ex2.m9$beta1
ex2.m9$beta2
ex2.m9$beta3
ex2.m9$p
ex2.m9$theta



